Bug 852928 - --config parameter value is not being picked up in the output of command "rhc setup --config"
--config parameter value is not being picked up in the output of command "rhc...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: N. Harrison Ripps
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 22:59 EDT by Sumana Annam
Modified: 2015-05-14 22:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhc-0.98.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sumana Annam 2012-08-29 22:59:08 EDT
Description of problem:

Tried to specify path to a different config file instead of leaving it to the default ( .openshift/express.conf ). The command run is :

Earth:~ sumana$ rhc setup --config ./.openshift/custom-os.conf

Everything worked fine i.e., ./.openshift/custom-os.conf got created but in the output it says express.conf instead of custom-os.conf

Output snippet from the command:

Created local config file: /Users/sumana/.openshift/ex.conf
The express.conf file contains user configuration, and can be transferred to different computers.

Version-Release number of selected component (if applicable):

Earth:~ sumana$ rhc setup -v
rhc 0.97.17

Steps to Reproduce:
1. rhc setup --config ./.openshift/custom-os.conf
2.
3.
  
Actual results:

Created local config file: /Users/sumana/.openshift/custom-os.conf
The express.conf file contains user configuration, and can be transferred to different computers.


Expected results:

Created local config file: /Users/sumana/.openshift/custom-os.conf
The custom-os.conf file contains user configuration, and can be transferred to different computers.

Additional info:
Comment 1 N. Harrison Ripps 2012-08-31 12:42:40 EDT
Assigned
Comment 2 N. Harrison Ripps 2012-08-31 16:32:06 EDT
Code has been modified and is being merged today.
Comment 3 joycezhang 2012-09-03 00:51:22 EDT
This bug will be verified after the build with fix checked in. Thanks.
Comment 4 joycezhang 2012-09-04 23:35:03 EDT
This bug has been verified and fixed. 

Please refer to the details as below:

Verified build:
int.openshift.redhat.com
rhc.0.98.8.gem

Verified steps:

1. #touch test.conf
2. # rhc setup --config ./test.conf 

Veified results:
Created local config file: /home/joyce/test.conf
The test.conf file contains user configuration, and can be transferred to different computers.


The default express.conf is replaced by the file specified by user.  So it's fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.